# Uses of Interface
org.eclipse.emf.cdo.common.id.CDOID

Packages that use CDOID
Package
Description
org.eclipse.emf.cdo
Client concepts like `CDOObject` and `CDOState`.
org.eclipse.emf.cdo.common
Common concepts that are differently extended in clients and servers.
org.eclipse.emf.cdo.common.commit
Common concepts for dealing with commits and change sets.
org.eclipse.emf.cdo.common.id
Common concepts for dealing with object and revision IDs.
org.eclipse.emf.cdo.common.lock
Common concepts for dealing with durable locks and views.
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.common.revision.delta
Common concepts for dealing with revision deltas and feature deltas.
org.eclipse.emf.cdo.common.util
Common utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.compare
Client concepts for integrating EMF Compare with CDO.
org.eclipse.emf.cdo.explorer
Base interfaces and a utility class for `repositories` and `checkouts`.
org.eclipse.emf.cdo.explorer.checkouts
Interfaces for working with `checkouts`.
org.eclipse.emf.cdo.explorer.repositories
Interfaces for working with `repositories`.
org.eclipse.emf.cdo.lm.client
Client concepts for dealing with CDO Lifecycle Management systems and assemblies.
org.eclipse.emf.cdo.lm.reviews
org.eclipse.emf.cdo.lm.reviews.server
org.eclipse.emf.cdo.lm.server
Server integration of the CDO Lifecycle Management.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.db
Server concepts for dealing with DB stores and accessors.
org.eclipse.emf.cdo.server.db.mapping
Server concepts for dealing with mapping strategies and mappings for classes, lists and types.
org.eclipse.emf.cdo.server.mem
Server concepts for dealing with in-memory stores.
org.eclipse.emf.cdo.server.ocl
Server implementation of a generic OCL query handler.
org.eclipse.emf.cdo.spi.common.commit
Common service provider interfaces and useful base implementations for dealing with commits and change sets.
org.eclipse.emf.cdo.spi.common.id
Common service provider interfaces and useful base implementations for dealing with object and revision IDs.
org.eclipse.emf.cdo.spi.common.lock
Common service provider interfaces and useful base implementations for dealing with object locks.
org.eclipse.emf.cdo.spi.common.model
Common service provider interfaces and useful base implementations for dealing with models and types
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.cdo.spi.workspace
Server provider interfaces (SPI) for CDO `workspaces`.
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.cdo.ui
Reusable UI components specific to the CDO Model Repository.
org.eclipse.emf.cdo.ui.compare
Classes that help to open EMF Compare user interfaces on CDO models.
org.eclipse.emf.cdo.util
Client utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.
org.eclipse.emf.cdo.workspace
Concepts to checkout, open and further operate CDO `workspaces`.
org.eclipse.emf.internal.cdo
Exposes `CDOObjectImpl` for extension in generated EMF models.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOID in org.eclipse.emf.cdo

Methods in org.eclipse.emf.cdo that return CDOID
Modifier and Type
Method
Description
`CDOID`
CDOObject.`cdoID()`
Returns the technical object identifier of this object, or `null` if the `state` of this object is `TRANSIENT` or `INVALID`.
`CDOID`
CDOObjectReference.`getSourceID()`
`CDOID`
CDOObjectReference.`getTargetID()`

## Uses of CDOID in org.eclipse.emf.cdo.common

Methods in org.eclipse.emf.cdo.common that return CDOID
Modifier and Type
Method
Description
`CDOID`
CDOCommonRepository.`getRootResourceID()`
Returns the ID of the root resource of this repository.

## Uses of CDOID in org.eclipse.emf.cdo.common.commit

Methods in org.eclipse.emf.cdo.common.commit that return types with arguments of type CDOID
Modifier and Type
Method
Description
`List<CDOID>`
CDOChangeSetData.`getAffectedIDs()`
Returns a list of ids denoting which revisions have been added, changed, or revised in the context of a commit operation.
`Map<CDOID,CDOChangeKind>`
CDOChangeSetData.`getChangeKinds()`
Methods in org.eclipse.emf.cdo.common.commit with parameters of type CDOID
Modifier and Type
Method
Description
`default CDORevisionKey`
CDOChangeSetData.`getChangedObject(CDOID id)`
`CDOChangeKind`
CDOChangeKindProvider.`getChangeKind(CDOID id)`
`default CDOIDAndVersion`
CDOChangeSetData.`getDetachedObject(CDOID id)`
`default CDOIDAndVersion`
CDOChangeSetData.`getNewObject(CDOID id)`

## Uses of CDOID in org.eclipse.emf.cdo.common.id

Subinterfaces of CDOID in org.eclipse.emf.cdo.common.id
Modifier and Type
Interface
Description
`interface`
`CDOIDExternal`
The `ID` of a CDO object that is external to a CDO `repository`.
`interface`
`CDOIDObject`
The `ID` of a CDO object that is persistent in a CDO `repository`.
`interface`
`CDOIDString`
A `CDOID` with a `String` value.
`interface`
`CDOIDTemp`
The `ID` of a CDO object that is new in a dirty (uncommitted) CDO `transaction`.
Fields in org.eclipse.emf.cdo.common.id declared as CDOID
Modifier and Type
Field
Description
`static final CDOID`
CDOID.`NIL`
`static final CDOID`
CDOID.`NULL`
Methods in org.eclipse.emf.cdo.common.id that return CDOID
Modifier and Type
Method
Description
`CDOID`
CDOWithID.`cdoID()`
`static CDOID`
CDOIDUtil.`createLong(long value)`
`static CDOID`
CDOIDUtil.`createLongWithClassifier(long value, CDOClassifierRef classifierRef)`
`static CDOID`
CDOIDUtil.`createLongWithClassifier(CDOClassifierRef classifierRef, long value)`
Deprecated.
As of 4.2 use `CDOIDUtil.createLongWithClassifier(long, CDOClassifierRef)`.
`static CDOID`
CDOIDUtil.`createString(String value)`
`static CDOID`
CDOIDUtil.`createStringWithClassifier(String value, CDOClassifierRef classifierRef)`
`static CDOID`
CDOIDUtil.`createStringWithClassifier(CDOClassifierRef classifierRef, String value)`
Deprecated.
As of 4.2 use `CDOIDUtil.createStringWithClassifier(String, CDOClassifierRef)`.
`static CDOID`
CDOIDUtil.`createUUID()`
`static CDOID`
CDOIDUtil.`createUUID(byte[] value)`
`CDOID`
CDOIDGenerator.`generateCDOID(EObject object)`
Generates a `CDOID`.
`static CDOID`
CDOIDUtil.`getCDOID(Object object)`
`CDOID`
CDOIdentifiable.`getID()`
`CDOID`
CDOIDReference.`getSourceObject()`
`CDOID`
CDOIDReference.`getTargetObject()`
`CDOID`
CDOIDProvider.`provideCDOID(Object idOrObject)`
`static CDOID`
CDOIDUtil.`read(String uriFragment)`
Format of the URI fragment.
`static CDOID`
CDOIDUtil.`read(CDODataInput in)`
`static CDOID`
CDOIDUtil.`read(org.eclipse.net4j.util.io.ExtendedDataInput in)`
Deprecated.
As of 4.2 use `CDOIDUtil.read(CDODataInput)`.
Methods in org.eclipse.emf.cdo.common.id that return types with arguments of type CDOID
Modifier and Type
Method
Description
`static <V> Map<CDOID,V>`
CDOIDUtil.`createMap()`
`static <V> Map<CDOID,V>`
CDOIDUtil.`createMap(Map<? extends CDOID,? extends V> map)`
`static List<CDOID>`
CDOIDUtil.`getCDOIDs(Collection<?> objects)`
Methods in org.eclipse.emf.cdo.common.id with parameters of type CDOID
Modifier and Type
Method
Description
`static CDOIDAndBranch`
CDOIDUtil.`createIDAndBranch(CDOID id, CDOBranch branch)`
`static CDOIDAndVersion`
CDOIDUtil.`createIDAndVersion(CDOID id, int version)`
`static boolean`
CDOIDUtil.`equals(CDOID id1, CDOID id2)`
`static byte[]`
CDOIDUtil.`getByteArray(CDOID id)`
`static CDOClassifierRef`
CDOIDUtil.`getClassifierRef(CDOID id)`
`static <K extends CDOIDAndVersion>
K`
CDOIDUtil.`getKey(Collection<? extends CDOIDAndVersion> keys, CDOID id)`
`static long`
CDOIDUtil.`getLong(CDOID id)`
`static String`
CDOIDUtil.`getString(CDOID id)`
`static boolean`
CDOIDUtil.`isNull(CDOID id)`
`static void`
CDOIDUtil.`write(StringBuilder builder, CDOID id)`
Format of the uri fragment.
`static void`
CDOIDUtil.`write(CDODataOutput out, CDOID id)`
`static void`
CDOIDUtil.`write(org.eclipse.net4j.util.io.ExtendedDataOutput out, CDOID id)`
Deprecated.
As of 4.2 use `CDOIDUtil.write(CDODataOutput, CDOID)`.
Method parameters in org.eclipse.emf.cdo.common.id with type arguments of type CDOID
Modifier and Type
Method
Description
`static <V> Map<CDOID,V>`
CDOIDUtil.`createMap(Map<? extends CDOID,? extends V> map)`
Constructors in org.eclipse.emf.cdo.common.id with parameters of type CDOID
Modifier
Constructor
Description
``
`CDOIDReference(CDOID targetID, CDOID sourceID, EStructuralFeature sourceReference, int sourceIndex)`

## Uses of CDOID in org.eclipse.emf.cdo.common.lock

Methods in org.eclipse.emf.cdo.common.lock that return CDOID
Modifier and Type
Method
Description
`static CDOID`
CDOLockUtil.`getLockedObjectID(Object lockedObject)`
Methods in org.eclipse.emf.cdo.common.lock that return types with arguments of type CDOID
Modifier and Type
Method
Description
`Set<CDOID>`
CDOLockChangeInfo.`getAffectedIDs()`
`Map<CDOID,IDurableLockingManager.LockGrade>`
IDurableLockingManager.LockArea.`getLocks()`
Method parameters in org.eclipse.emf.cdo.common.lock with type arguments of type CDOID
Modifier and Type
Method
Description
`static IDurableLockingManager.LockArea`
CDOLockUtil.`createLockArea(String durableLockingID, String userID, CDOBranchPoint branchPoint, boolean readOnly, Map<CDOID,IDurableLockingManager.LockGrade> locks)`
`IDurableLockingManager.LockArea`
IDurableLockingManager.`createLockArea(String userID, CDOBranchPoint branchPoint, boolean readOnly, Map<CDOID,IDurableLockingManager.LockGrade> locks)`

## Uses of CDOID in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDOID
Modifier and Type
Method
Description
`CDOID[]`
CDOProtocol.CommitData.`getDetachedObjects()`
`CDOID`
CDODataInput.`readCDOID()`
Methods in org.eclipse.emf.cdo.common.protocol that return types with arguments of type CDOID
Modifier and Type
Method
Description
`Map<CDOID,CDOPermission>`
CDOProtocol.CommitNotificationInfo.`getNewPermissions()`
Methods in org.eclipse.emf.cdo.common.protocol with parameters of type CDOID
Modifier and Type
Method
Description
`boolean`
CDOProtocol.CommitData.`isNewObject(CDOID id)`
`void`
CDODataOutput.`writeCDOID(CDOID id)`
Method parameters in org.eclipse.emf.cdo.common.protocol with type arguments of type CDOID
Modifier and Type
Method
Description
`void`
CDOProtocol.CommitNotificationInfo.`setNewPermissions(Map<CDOID,CDOPermission> newPermissions)`
`void`
CDODataOutput.`writeCDOLockChangeInfo(CDOLockChangeInfo lockChangeInfo, Set<CDOID> filter)`
Constructors in org.eclipse.emf.cdo.common.protocol with parameters of type CDOID
Modifier
Constructor
Description
``
`CommitData(InternalCDORevision[] newObjects, InternalCDORevisionDelta[] dirtyObjectDeltas, CDOID[] detachedObjects)`

## Uses of CDOID in org.eclipse.emf.cdo.common.revision

Methods in org.eclipse.emf.cdo.common.revision that return CDOID
Modifier and Type
Method
Description
`protected CDOID`
CDORevisionCrawler.OutputStreamHandler.IDMapper.`getNextMappedID()`
Returns the next available local ID.
`CDOID`
CDORevisionData.`getResourceID()`
`CDOID`
CDORevisionCrawler.OutputStreamHandler.IDMapper.InMemory.`lookup(CDOID realID)`
Looks up the mapped local ID for a real ID.
`abstract CDOID`
CDORevisionCrawler.OutputStreamHandler.IDMapper.`lookup(CDOID realID)`
Looks up the mapped local ID for a real ID.
`CDOID`
CDORevisionCrawler.OutputStreamHandler.IDMapper.`map(CDOID realID)`
Maps a real ID to a new local ID.
Methods in org.eclipse.emf.cdo.common.revision with parameters of type CDOID
Modifier and Type
Method
Description
`boolean`
CDORevisionManager.`containsRevision(CDOID id, CDOBranchPoint branchPoint)`
Returns `true` if the `revision cache` contains a `revision` with the given `ID` at the given `branch point` (branch + timestamp), `false` otherwise.
`boolean`
CDORevisionManager.`containsRevisionByVersion(CDOID id, CDOBranchVersion branchVersion)`
Returns `true` if the `revision cache` contains a `revision` with the given `ID` at the given `branch version` (branch + version), `false` otherwise.
`static CDORevisionKey`
CDORevisionUtil.`createRevisionKey(CDOID id, CDOBranch branch, int version)`
`static void`
CDORevisionUtil.`forEachChildRevision(CDOID container, CDORevisionProvider provider, boolean onlyProperContents, Consumer<CDORevision> consumer)`
`static List<CDORevision>`
CDORevisionUtil.`getChildRevisions(CDOID container, CDORevisionProvider provider)`
`static List<CDORevision>`
CDORevisionUtil.`getChildRevisions(CDOID container, CDORevisionProvider provider, boolean onlyProperContents)`
`CDOBranchPointRange`
CDORevisionManager.`getObjectLifetime(CDOID id, CDOBranchPoint branchPoint)`
`EClass`
CDORevisionCache.`getObjectType(CDOID id)`
`EClass`
CDORevisionManager.`getObjectType(CDOID id)`
Returns the `type` of an object if a revision for that object is in the revision cache, `null` otherwise.
`EClass`
CDORevisionManager.`getObjectType(CDOID id, CDOBranchManager branchManagerForLoadOnDemand)`
Returns the `type` of an object.
`static String`
CDORevisionUtil.`getResourceNodePath(CDOID id, CDORevisionProvider provider)`
`CDORevision`
CDORevisionCache.`getRevision(CDOID id, CDOBranchPoint branchPoint)`
`CDORevision`
CDORevisionManager.`getRevision(CDOID id, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean loadOnDemand)`
Returns the `revision` with the given `ID` at the given `branch point` (branch + timestamp), optionally demand loading it if it is not already in the `cache`.
`CDORevision`
CDORevisionProvider.`getRevision(CDOID id)`
`CDORevision`
CDORevisionCache.`getRevisionByVersion(CDOID id, CDOBranchVersion branchVersion)`
`CDORevision`
CDORevisionManager.`getRevisionByVersion(CDOID id, CDOBranchVersion branchVersion, int referenceChunk, boolean loadOnDemand)`
Returns the `revision` with the given `ID` at the given `branch version` (branch + version), optionally demand loading it if it is not already in the `cache`.
`static boolean`
CDORevisionUtil.`isContained(CDOID child, CDOID container, CDORevisionProvider provider)`
`static boolean`
CDORevisionUtil.`isContained(InternalCDORevision child, CDOID container, CDORevisionProvider provider)`
`CDOID`
CDORevisionCrawler.OutputStreamHandler.IDMapper.InMemory.`lookup(CDOID realID)`
Looks up the mapped local ID for a real ID.
`abstract CDOID`
CDORevisionCrawler.OutputStreamHandler.IDMapper.`lookup(CDOID realID)`
Looks up the mapped local ID for a real ID.
`CDOID`
CDORevisionCrawler.OutputStreamHandler.IDMapper.`map(CDOID realID)`
Maps a real ID to a new local ID.
`protected void`
CDORevisionCrawler.OutputStreamHandler.IDMapper.InMemory.`register(CDOID realID, CDOID mappedID)`
Registers a mapping from real ID to local ID.
`protected abstract void`
CDORevisionCrawler.OutputStreamHandler.IDMapper.`register(CDOID realID, CDOID localID)`
Registers a mapping from real ID to local ID.
Method parameters in org.eclipse.emf.cdo.common.revision with type arguments of type CDOID
Modifier and Type
Method
Description
`static CDOChangeSetData`
CDORevisionUtil.`createChangeSetData(Set<CDOID> ids, CDOBranchPoint startPoint, CDOBranchPoint endPoint, CDORevisionManager revisionManager)`
`static CDOChangeSetData`
CDORevisionUtil.`createChangeSetData(Set<CDOID> ids, CDORevisionProvider startProvider, CDORevisionProvider endProvider)`
`static CDOChangeSetData`
CDORevisionUtil.`createChangeSetData(Set<CDOID> ids, CDORevisionProvider startProvider, CDORevisionProvider endProvider, boolean useStartVersions)`
`abstract void`
CDORevisionCrawler.OutputStreamHandler.IDMapper.`forEach(Consumer<? super CDOID> realIDConsumer)`
Iterates over all real IDs that have been mapped.
`void`
CDORevisionCrawler.OutputStreamHandler.IDMapper.InMemory.`forEach(Consumer<? super CDOID> realIDConsumer)`
Iterates over all real IDs that have been mapped.
`List<CDORevision>`
CDORevisionManager.`getRevisions(List<CDOID> ids, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean loadOnDemand)`
Returns the `revisions` with the given `IDs` at the given `branch point` (branch + timestamp), optionally demand loading them if they are not already in the `cache`.
`List<CDORevision>`
CDORevisionManager.`getRevisions(List<CDOID> ids, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean loadOnDemand, List<CDORevision> additionalRevisions)`
Returns the `revisions` with the given `IDs` at the given `branch point` (branch + timestamp), optionally demand loading them if they are not already in the `cache`.
`static Object`
CDORevisionUtil.`remapID(Object value, Map<CDOID,CDOID> idMappings, boolean allowUnmappedTempIDs)`
`static Object`
CDORevisionUtil.`remapID(Object value, Map<CDOID,CDOID> idMappings, boolean allowUnmappedTempIDs)`

## Uses of CDOID in org.eclipse.emf.cdo.common.revision.delta

Methods in org.eclipse.emf.cdo.common.revision.delta that return CDOID
Modifier and Type
Method
Description
`CDOID`
CDOContainerFeatureDelta.`getResourceID()`
Methods in org.eclipse.emf.cdo.common.revision.delta with parameters of type CDOID
Modifier and Type
Method
Description
`CDORevisionDelta`
CDORevisionDeltaProvider.`getRevisionDelta(CDOID id)`

## Uses of CDOID in org.eclipse.emf.cdo.common.util

Methods in org.eclipse.emf.cdo.common.util with parameters of type CDOID
Modifier and Type
Method
Description
`CDOFingerPrinter.FingerPrint`
CDOFingerPrinter.`createFingerPrint(CDORevisionProvider revisionProvider, CDOID rootID)`

## Uses of CDOID in org.eclipse.emf.cdo.compare

Methods in org.eclipse.emf.cdo.compare with parameters of type CDOID
Modifier and Type
Method
Description
`protected void`
CDOComparisonScope.Minimal.`collectRequiredParentID(CDOView view, CDOID id, Set<CDOID> requiredParentIDs)`
Method parameters in org.eclipse.emf.cdo.compare with type arguments of type CDOID
Modifier and Type
Method
Description
`protected void`
CDOComparisonScope.Minimal.`collectRequiredParentID(CDOView view, CDOID id, Set<CDOID> requiredParentIDs)`
`static org.eclipse.emf.compare.Comparison`
CDOCompareUtil.`compare(CDOView leftView, CDOView rightView, CDOView[] originView, Set<CDOID> ids)`
`static org.eclipse.emf.compare.Comparison`
CDOCompareUtil.`compare(CDOView leftView, CDOView rightView, CDOView[] originView, Set<CDOID> ids, CDOViewOpener viewOpener)`
`static org.eclipse.emf.compare.scope.IComparisonScope`
CDOComparisonScope.Minimal.`create(CDOView leftView, CDOView rightView, CDOView[] originView, Set<CDOID> ids)`
`static org.eclipse.emf.compare.scope.IComparisonScope`
CDOComparisonScope.Minimal.`create(CDOView leftView, CDOView rightView, CDOView[] originView, Set<CDOID> ids, CDOViewOpener viewOpener)`
Constructor parameters in org.eclipse.emf.cdo.compare with type arguments of type CDOID
Modifier
Constructor
Description
``
`Minimal(CDOView leftView, CDOView rightView, CDOView originView, Set<CDOID> ids)`

## Uses of CDOID in org.eclipse.emf.cdo.explorer

Methods in org.eclipse.emf.cdo.explorer with parameters of type CDOID
Modifier and Type
Method
Description
`static String`
CDOExplorerUtil.`getCDOIDString(CDOID id)`

## Uses of CDOID in org.eclipse.emf.cdo.explorer.checkouts

Methods in org.eclipse.emf.cdo.explorer.checkouts that return CDOID
Modifier and Type
Method
Description
`CDOID`
CDOCheckout.`getRootID()`
Methods in org.eclipse.emf.cdo.explorer.checkouts with parameters of type CDOID
Modifier and Type
Method
Description
`String`
CDOCheckout.`getEditorOpenerID(CDOID objectID)`
`void`
CDOCheckout.`setEditorOpenerID(CDOID objectID, String editorOpenerID)`
`void`
CDOCheckout.`setRootID(CDOID rootID)`

## Uses of CDOID in org.eclipse.emf.cdo.explorer.repositories

Methods in org.eclipse.emf.cdo.explorer.repositories that return CDOID
Modifier and Type
Method
Description
`CDOID`
CDORepositoryElement.`getObjectID()`

## Uses of CDOID in org.eclipse.emf.cdo.lm.client

Methods in org.eclipse.emf.cdo.lm.client that return CDOID
Modifier and Type
Method
Description
`CDOID`
ISystemManager.ModuleDeletedEvent.`getDeletedModuleID()`

## Uses of CDOID in org.eclipse.emf.cdo.lm.reviews

Methods in org.eclipse.emf.cdo.lm.reviews with parameters of type CDOID
Modifier and Type
Method
Description
`ModelReference.Builder`
ModelReference.Builder.`property(CDOID objectID)`

## Uses of CDOID in org.eclipse.emf.cdo.lm.reviews.server

Methods in org.eclipse.emf.cdo.lm.reviews.server that return CDOID
Modifier and Type
Method
Description
`CDOID`
IReviewManagerEvent.`getCDOID()`

## Uses of CDOID in org.eclipse.emf.cdo.lm.server

Methods in org.eclipse.emf.cdo.lm.server that return CDOID
Modifier and Type
Method
Description
`CDOID`
AbstractLifecycleManager.ModuleInfo.`getInitialStreamID()`
`CDOID`
AbstractLifecycleManager.ModuleInfo.`getModuleTypeID()`
Method parameters in org.eclipse.emf.cdo.lm.server with type arguments of type CDOID
Modifier and Type
Method
Description
`protected void`
AbstractLifecycleManager.`createNewModules(IStoreAccessor.CommitContext commitContext, List<org.eclipse.net4j.util.collection.Pair<String,CDOID>> newModules)`
Deprecated.
As of 1.2 use `AbstractLifecycleManager.createNewModuleInfos(CommitContext, List)`.
`protected void`
AbstractLifecycleManager.`handleModuleAddition(InternalCDORevision addedModule, List<org.eclipse.net4j.util.collection.Pair<String,CDOID>> newModules)`
Deprecated.
As of 1.2 use `AbstractLifecycleManager.handleModuleAddition(InternalCDORevision, Consumer)`.

## Uses of CDOID in org.eclipse.emf.cdo.security.impl

Methods in org.eclipse.emf.cdo.security.impl that return CDOID
Modifier and Type
Method
Description
`CDOID[]`
PermissionImpl.CommitImpactContext.`getDetachedObjects()`
Returns the CDOIDs of the detached objects of the current commit.

## Uses of CDOID in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return CDOID
Modifier and Type
Method
Description
`CDOID`
IStore.`createObjectID(String val)`
`CDOID[]`
IStoreAccessor.CommitContext.`getDetachedObjects()`
Returns an array of the removed object that are part of the commit operation represented by this `CommitContext`.
`CDOID`
IStoreAccessor.QueryResourcesContext.`getFolderID()`
`CDOID[]`
IStoreAccessor.CommitContext.`getIDsToUnlock()`
`CDOID`
IStoreAccessor.NewIDSupport.`getNewID(CDORevision revision)`
`CDOID`
IStoreAccessor.QueryResourcesContext.ExactMatch.`getResourceID()`
`CDOID`
IUnit.`getRootID()`
`CDOID`
IStoreAccessor.`readResourceID(CDOID folderID, String name, CDOBranchPoint branchPoint)`
Returns the `CDOID` of the resource node with the given folderID and name if a resource with this folderID and name exists in the store, `null` otherwise.
Methods in org.eclipse.emf.cdo.server that return types with arguments of type CDOID
Modifier and Type
Method
Description
`Map<CDOID,EClass>`
IStoreAccessor.CommitContext.`getDetachedObjectTypes()`
Returns a map with an `EClass` value per `CDOID` type.
`Map<CDOID,CDOID>`
IStoreAccessor.CommitContext.`getIDMappings()`
Returns an unmodifiable map from all temporary IDs to their persistent counter parts.
`Map<CDOID,CDOID>`
IStoreAccessor.CommitContext.`getIDMappings()`
Returns an unmodifiable map from all temporary IDs to their persistent counter parts.
`Map<CDOID,InternalCDORevision>`
IStoreAccessor.CommitContext.`getNewRevisions()`
`Map<CDOID,InternalCDORevision>`
IStoreAccessor.CommitContext.`getOldRevisions()`
`Map<CDOID,EClass>`
IStoreAccessor.QueryXRefsContext.`getTargetObjects()`
`Map<CDOID,CDOID>`
IUnitManager.`getUnitsOf(Set<CDOID> ids, CDORevisionProvider revisionProvider)`
`Map<CDOID,CDOID>`
IUnitManager.`getUnitsOf(Set<CDOID> ids, CDORevisionProvider revisionProvider)`
`Set<CDOID>`
IStoreAccessor.`readChangeSet(org.eclipse.net4j.util.om.monitor.OMMonitor monitor, CDOChangeSetSegment... segments)`
Returns a set of CDOIDs that have at least one revision in any of the passed branches and time ranges.
`List<CDOID>`
IStoreAccessor.UnitSupport.`readUnitRoots()`
Methods in org.eclipse.emf.cdo.server with parameters of type CDOID
Modifier and Type
Method
Description
`boolean`
IStoreAccessor.QueryResourcesContext.`addResource(CDOID resourceID)`
Adds the CDOID of one resource to the results of the underlying query.
`boolean`
IStoreAccessor.QueryXRefsContext.`addXRef(CDOID targetID, CDOID sourceID, EReference sourceReference, int sourceIndex)`
Adds the data of one cross reference to the results of the underlying query.
`CDORevision`
IStoreAccessor.CommitContext.ModificationContext.`attachNewObject(CDOID containerID, EReference containingReference, EClass eClass)`
`IUnit`
IUnitManager.`createUnit(CDOID rootID, IView view, CDORevisionHandler revisionHandler, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`void`
IStoreAccessor.UnitSupport.`finishUnit(IView view, CDOID rootID, CDORevisionHandler revisionHandler, long timeStamp, Object initResult, List<CDOID> ids)`
`IUnit`
IUnitManager.`getUnit(CDOID rootID)`
`void`
CDOServerImporter.Handler.`handleRepository(String name, String uuid, CDOID root, long created, long committed)`
`Object`
IStoreAccessor.UnitSupport.`initUnit(IView view, CDOID rootID, CDORevisionHandler revisionHandler, Set<CDOID> initializedIDs, long timeStamp, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`boolean`
IUnitManager.`isUnit(CDOID rootID)`
`void`
IStoreAccessor.Raw.`rawDelete(CDOID id, int version, CDOBranch branch, EClass eClass, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Deletes the revision identified by the given `key` from the backend represented by this `raw store accessor` without going through a regular `commit`.
`CDOID`
IStoreAccessor.`readResourceID(CDOID folderID, String name, CDOBranchPoint branchPoint)`
Returns the `CDOID` of the resource node with the given folderID and name if a resource with this folderID and name exists in the store, `null` otherwise.
`InternalCDORevision`
IStoreAccessor.`readRevision(CDOID id, CDOBranchPoint branchPoint, int listChunk, CDORevisionCacheAdder cache)`
Reads a revision from the back-end that was valid at the given timeStamp in the given branch.
`InternalCDORevision`
IStoreAccessor.`readRevisionByVersion(CDOID id, CDOBranchVersion branchVersion, int listChunk, CDORevisionCacheAdder cache)`
Reads a revision with the given version in the given branch from the back-end.
`void`
IStoreAccessor.UnitSupport.`readUnit(IView view, CDOID rootID, CDORevisionHandler revisionHandler, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`protected final String`
CDOServerExporter.XML.`str(CDOID id)`
Method parameters in org.eclipse.emf.cdo.server with type arguments of type CDOID
Modifier and Type
Method
Description
`IDurableLockingManager.LockArea`
IStoreAccessor.DurableLocking2.`createLockArea(String durableLockingID, String userID, CDOBranchPoint branchPoint, boolean readOnly, Map<CDOID,IDurableLockingManager.LockGrade> locks)`
`void`
IStoreAccessor.UnitSupport.`finishUnit(IView view, CDOID rootID, CDORevisionHandler revisionHandler, long timeStamp, Object initResult, List<CDOID> ids)`
`protected Object`
CDOServerBrowser.RevisionsPage.`getRevisionValue(Object value, CDOServerBrowser browser, Map<CDOID,List<CDORevision>> ids, InternalCDORevision context)`
`Map<CDOID,CDOID>`
IUnitManager.`getUnitsOf(Set<CDOID> ids, CDORevisionProvider revisionProvider)`
`Object`
IStoreAccessor.UnitSupport.`initUnit(IView view, CDOID rootID, CDORevisionHandler revisionHandler, Set<CDOID> initializedIDs, long timeStamp, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`protected void`
CDOServerBrowser.RevisionsPage.`showRevision(PrintStream pout, CDOServerBrowser browser, Map<CDOID,List<CDORevision>> ids, InternalCDORevision revision)`
`void`
IStoreAccessor.UnitSupport.`writeUnits(Map<CDOID,CDOID> unitMappings, long timeStamp)`
`void`
IStoreAccessor.UnitSupport.`writeUnits(Map<CDOID,CDOID> unitMappings, long timeStamp)`

## Uses of CDOID in org.eclipse.emf.cdo.server.db

Methods in org.eclipse.emf.cdo.server.db that return CDOID
Modifier and Type
Method
Description
`CDOID`
IIDHandler.`createCDOID(String val)`
`CDOID`
IIDHandler.`getCDOID(ResultSet resultSet, int column)`
`CDOID`
IIDHandler.`getCDOID(ResultSet resultSet, String name)`
`CDOID`
IIDHandler.`getLastObjectID()`
`CDOID`
IIDHandler.`getMaxCDOID()`
`CDOID`
IMetaDataManager.`getMetaID(EModelElement modelElement, long commitTime)`
Returns the meta ID of the given `EModelElement`.
`CDOID`
IIDHandler.`getMinCDOID()`
`CDOID`
IIDHandler.`getNextCDOID(CDORevision revision)`
`CDOID`
IIDHandler.`getNextLocalObjectID()`
`CDOID`
IIDHandler.`mapURI(IDBStoreAccessor accessor, String uri, long commitTime)`
Methods in org.eclipse.emf.cdo.server.db that return types with arguments of type CDOID
Modifier and Type
Method
Description
`Set<CDOID>`
IDBStoreAccessor.`getStoreAllocatedIDs()`
Returns IDs allocated by the authoritative store during the current commit.
Methods in org.eclipse.emf.cdo.server.db with parameters of type CDOID
Modifier and Type
Method
Description
`void`
IIDHandler.`adjustLastObjectID(CDOID maxID)`
`void`
IIDHandler.`appendCDOID(StringBuilder builder, CDOID id)`
`EModelElement`
IMetaDataManager.`getMetaInstance(CDOID id)`
Returns the `EModelElement` referred to by the given ID.
`String`
IMetaDataManager.`getMetaURI(CDOID id)`
Returns the URI of the `EModelElement` referred to by the given ID.
`EClass`
IDBStoreAccessor.`getObjectType(CDOID id)`
`boolean`
IIDHandler.`isLocalCDOID(CDOID id)`
Deprecated.
Not used anymore.
`void`
IIDHandler.`setCDOID(PreparedStatement stmt, int column, CDOID id)`
`void`
IIDHandler.`setCDOID(PreparedStatement stmt, int column, CDOID id, long commitTime)`
`void`
IIDHandler.`setLastObjectID(CDOID lastObjectID)`
`void`
IIDHandler.`setNextLocalObjectID(CDOID nextLocalObjectID)`
`String`
IIDHandler.`unmapURI(IDBStoreAccessor accessor, CDOID id)`

## Uses of CDOID in org.eclipse.emf.cdo.server.db.mapping

Methods in org.eclipse.emf.cdo.server.db.mapping that return CDOID
Modifier and Type
Method
Description
`CDOID`
ListDeltaWork.`getID()`
Methods in org.eclipse.emf.cdo.server.db.mapping that return types with arguments of type CDOID
Modifier and Type
Method
Description
`Set<CDOID>`
IClassMapping.`readChangeSet(IDBStoreAccessor accessor, CDOChangeSetSegment[] segments)`
Returns a set of CDOIDs that have at least one revision in any of the passed branches and time ranges.
`Set<CDOID>`
IMappingStrategy.`readChangeSet(IDBStoreAccessor accessor, org.eclipse.net4j.util.om.monitor.OMMonitor monitor, CDOChangeSetSegment[] segments)`
Returns a set of CDOIDs that have at least one revision in any of the passed branches and time ranges.
`org.eclipse.net4j.util.collection.CloseableIterator<CDOID>`
IMappingStrategy.`readObjectIDs(IDBStoreAccessor accessor)`
Get an iterator over all instances of objects in the store.
Methods in org.eclipse.emf.cdo.server.db.mapping with parameters of type CDOID
Modifier and Type
Method
Description
`void`
IListMapping2.`addRangedChunkWhere(IDBStoreAccessor accessor, CDOID cdoid, StringBuilder builder, int fromIndex, int toIndex)`
`void`
IListMapping2.`addSimpleChunkWhere(IDBStoreAccessor accessor, CDOID cdoid, StringBuilder builder, int index)`
`PreparedStatement`
IClassMapping.`createResourceQueryStatement(IDBStoreAccessor accessor, CDOID folderId, String name, boolean exactMatch, CDOBranchPoint branchPoint)`
Create a prepared statement which returns all IDs of instances of the corresponding class.
`void`
IClassMapping.`detachObject(IDBStoreAccessor accessor, CDOID id, int version, CDOBranch branch, long timeStamp, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Detaches (deletes) a CDO object leaving a "ghost" revision behind.
`void`
IListMapping.`objectDetached(IDBStoreAccessor accessor, CDOID id, long revised)`
Hook with which a list mapping is notified that a containing object has been revised.
`void`
IListMappingDeltaSupport.`processDelta(IDBStoreAccessor accessor, CDOID id, int branchId, int oldVersion, int newVersion, long created, CDOListFeatureDelta delta)`
Process a set of CDOFeatureDeltas for a many-valued feature.
`ResultSet`
IListMappingUnitSupport.`queryUnitEntries(IDBStoreAccessor accessor, IIDHandler idHandler, long timeStamp, CDOID rootID)`
`CDOClassifierRef`
IMappingStrategy.`readObjectType(IDBStoreAccessor accessor, CDOID id)`
Read the type (i.e.
`default EClass`
IMappingStrategy.`readObjectType2(IDBStoreAccessor accessor, CDOID id)`
Read the type (i.e.
`void`
IListMappingUnitSupport.`readUnitEntries(ResultSet resultSet, IIDHandler idHandler, CDOID id, org.eclipse.net4j.util.collection.MoveableList<Object> list)`
`void`
IClassMappingUnitSupport.`readUnitRevisions(IDBStoreAccessor accessor, CDOBranchPoint branchPoint, CDOID rootID, CDORevisionHandler revisionHandler)`
Constructors in org.eclipse.emf.cdo.server.db.mapping with parameters of type CDOID
Modifier
Constructor
Description
``
`ListDeltaWork(CDOID id, int branchId, int oldVersion, int newVersion, long created, CDOListFeatureDelta delta)`
``
`ListDeltaWork(CDOID id, int branchId, int oldVersion, int newVersion, long created, CDOListFeatureDelta delta, int newListSize)`

## Uses of CDOID in org.eclipse.emf.cdo.server.mem

Methods in org.eclipse.emf.cdo.server.mem with parameters of type CDOID
Modifier and Type
Method
Description
`EClass`
IMEMStore.`getObjectType(CDOID id)`

## Uses of CDOID in org.eclipse.emf.cdo.server.ocl

Methods in org.eclipse.emf.cdo.server.ocl with parameters of type CDOID
Modifier and Type
Method
Description
`protected EObject`
CDOExtentCreator.`getEObject(CDOID id)`
`protected boolean`
CDOExtentCreator.`isDetached(CDOID id)`

## Uses of CDOID in org.eclipse.emf.cdo.spi.common.commit

Methods in org.eclipse.emf.cdo.spi.common.commit that return types with arguments of type CDOID
Modifier and Type
Method
Description
`Map<CDOID,CDORevisionKey>`
CDORevisionAvailabilityInfo.`getAvailableRevisions()`
Methods in org.eclipse.emf.cdo.spi.common.commit with parameters of type CDOID
Modifier and Type
Method
Description
`boolean`
CDORevisionAvailabilityInfo.`containsRevision(CDOID id)`
`CDOChangeKind`
CDOChangeKindCache.`getChangeKind(CDOID id)`
`CDORevision`
CDOChangeSetDataRevisionProvider.`getRevision(CDOID id)`
`CDORevision`
CDORevisionAvailabilityInfo.`getRevision(CDOID id)`
`void`
CDORevisionAvailabilityInfo.`removeRevision(CDOID id)`

## Uses of CDOID in org.eclipse.emf.cdo.spi.common.id

Subinterfaces of CDOID in org.eclipse.emf.cdo.spi.common.id
Modifier and Type
Interface
Description
`interface`
`InternalCDOIDObject`
If the meaning of this type isn't clear, there really should be more of a description here...
Classes in org.eclipse.emf.cdo.spi.common.id that implement CDOID
Modifier and Type
Class
Description
`class`
`AbstractCDOID`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.cdo.spi.common.id with parameters of type CDOID
Modifier and Type
Method
Description
`final int`
AbstractCDOID.`compareTo(CDOID o)`
`protected abstract int`
AbstractCDOID.`doCompareTo(CDOID o)`

## Uses of CDOID in org.eclipse.emf.cdo.spi.common.lock

Methods in org.eclipse.emf.cdo.spi.common.lock that return CDOID
Modifier and Type
Method
Description
`final CDOID`
AbstractCDOLockState.`getID()`
Methods in org.eclipse.emf.cdo.spi.common.lock that return types with arguments of type CDOID
Modifier and Type
Method
Description
`final Set<CDOID>`
AbstractCDOLockChangeInfo.`getAffectedIDs()`
Methods in org.eclipse.emf.cdo.spi.common.lock with parameters of type CDOID
Modifier and Type
Method
Description
`void`
AbstractCDOLockState.`remapID(CDOID newID)`
`void`
InternalCDOLockState.`remapID(CDOID newID)`

## Uses of CDOID in org.eclipse.emf.cdo.spi.common.model

Methods in org.eclipse.emf.cdo.spi.common.model with parameters of type CDOID
Modifier and Type
Method
Description
`InternalCDORevision`
InternalCDOClassInfo.`getRevisionForID(CDOID id)`

## Uses of CDOID in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDOID
Modifier and Type
Method
Description
`CDOID`
CDODataInputImpl.`readCDOID()`
Methods in org.eclipse.emf.cdo.spi.common.protocol with parameters of type CDOID
Modifier and Type
Method
Description
`void`
CDODataOutputImpl.`writeCDOID(CDOID id)`
Method parameters in org.eclipse.emf.cdo.spi.common.protocol with type arguments of type CDOID
Modifier and Type
Method
Description
`static void`
CDODataOutputImpl.`writeCDOList(CDODataOutput out, EClass owner, EStructuralFeature feature, CDOList list, int referenceChunk, UnaryOperator<CDOID> idConverter)`
`void`
CDODataOutputImpl.`writeCDOLockChangeInfo(CDOLockChangeInfo lockChangeInfo, Set<CDOID> filter)`

## Uses of CDOID in org.eclipse.emf.cdo.spi.common.revision

Methods in org.eclipse.emf.cdo.spi.common.revision that return CDOID
Modifier and Type
Method
Description
`CDOID`
BaseCDORevision.`getID()`
`CDOID`
DelegatingCDORevision.`getID()`
`final CDOID`
RevisionInfo.`getID()`
`CDOID`
StubCDORevision.`getID()`
`CDOID`
SyntheticCDORevision.`getID()`
`CDOID`
BaseCDORevision.`getResourceID()`
`CDOID`
DelegatingCDORevision.`getResourceID()`
`CDOID`
StubCDORevision.`getResourceID()`
Methods in org.eclipse.emf.cdo.spi.common.revision that return types with arguments of type CDOID
Modifier and Type
Method
Description
`Map<CDOID,CDOID>`
CDOIDMapper.`getIDMappings()`
`Map<CDOID,CDOID>`
CDOIDMapper.`getIDMappings()`
Methods in org.eclipse.emf.cdo.spi.common.revision with parameters of type CDOID
Modifier and Type
Method
Description
`boolean`
DelegatingCDORevisionManager.`containsRevision(CDOID id, CDOBranchPoint branchPoint)`
`boolean`
DelegatingCDORevisionManager.`containsRevisionByVersion(CDOID id, CDOBranchVersion branchVersion)`
`CDOBranchPointRange`
DelegatingCDORevisionManager.`getObjectLifetime(CDOID id, CDOBranchPoint branchPoint)`
`EClass`
DelegatingCDORevisionManager.`getObjectType(CDOID id)`
`EClass`
DelegatingCDORevisionManager.`getObjectType(CDOID id, CDOBranchManager branchManagerForLoadOnDemand)`
`InternalCDORevision`
DelegatingCDORevisionManager.`getRevision(CDOID id, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean loadOnDemand)`
`InternalCDORevision`
DelegatingCDORevisionManager.`getRevision(CDOID id, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean loadOnDemand, SyntheticCDORevision[] synthetics)`
`InternalCDORevision`
InternalCDORevisionManager.`getRevision(CDOID id, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean loadOnDemand)`
`InternalCDORevision`
InternalCDORevisionManager.`getRevision(CDOID id, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean loadOnDemand, SyntheticCDORevision[] synthetics)`
`CDORevision`
ManagedRevisionProvider.`getRevision(CDOID id)`
`CDORevision`
MapRevisionProvider.`getRevision(CDOID id)`
`InternalCDORevision`
DelegatingCDORevisionManager.`getRevisionByVersion(CDOID id, CDOBranchVersion branchVersion, int referenceChunk, boolean loadOnDemand)`
`InternalCDORevision`
InternalCDORevisionManager.`getRevisionByVersion(CDOID id, CDOBranchVersion branchVersion, int referenceChunk, boolean loadOnDemand)`
`InternalCDORevision`
AbstractCDORevision.`getRevisionForID(CDOID id)`
`InternalCDORevision`
DelegatingCDORevision.`getRevisionForID(CDOID id)`
`InternalCDORevision`
InternalCDORevision.`getRevisionForID(CDOID id)`
`SyntheticCDORevision`
CDORevisionProviderWithSynthetics.`getSynthetic(CDOID id)`
`SyntheticCDORevision`
ManagedRevisionProvider.WithSynthetics.`getSynthetic(CDOID id)`
`CDOBranchPointRange`
InternalCDORevisionManager.RevisionLoader2.`loadObjectLifetime(CDOID id, CDOBranchPoint branchPoint)`
`InternalCDORevision`
InternalCDORevisionManager.RevisionLoader.`loadRevisionByVersion(CDOID id, CDOBranchVersion branchVersion, int referenceChunk)`
`void`
DelegatingCDORevisionManager.`prefetchRevisions(CDOID id, CDOBranchPoint branchPoint, int prefetchDepth, boolean prefetchLockStates, Consumer<CDORevision> consumer)`
`void`
InternalCDORevisionManager.`prefetchRevisions(CDOID id, CDOBranchPoint branchPoint, int prefetchDepth, boolean prefetchLockStates, Consumer<CDORevision> consumer)`
`static CDORevision`
ManagedRevisionProvider.`provideRevision(CDORevisionManager revisionManager, CDOID id, CDOBranchPoint branchPoint)`
`static InternalCDORevision`
RevisionInfo.`readResult(CDODataInput in, CDOID id, CDOBranch branch)`
`CDORevision`
InternalCDORevisionCache.`removeRevision(CDOID id, CDOBranchVersion branchVersion)`
`void`
DelegatingCDORevisionManager.`reviseLatest(CDOID id, CDOBranch branch)`
`void`
InternalCDORevisionManager.`reviseLatest(CDOID id, CDOBranch branch)`
Called on client via postCommit when there is no version of detached objects available.
`void`
DelegatingCDORevisionManager.`reviseVersion(CDOID id, CDOBranchVersion branchVersion, long timeStamp)`
`void`
InternalCDORevisionManager.`reviseVersion(CDOID id, CDOBranchVersion branchVersion, long timeStamp)`
`void`
BaseCDORevision.`setID(CDOID id)`
`void`
DelegatingCDORevision.`setID(CDOID id)`
`void`
InternalCDORevision.`setID(CDOID id)`
`void`
StubCDORevision.`setID(CDOID id)`
`void`
BaseCDORevision.`setResourceID(CDOID resourceID)`
`void`
DelegatingCDORevision.`setResourceID(CDOID resourceID)`
`void`
InternalCDORevision.`setResourceID(CDOID resourceID)`
`void`
StubCDORevision.`setResourceID(CDOID resourceID)`
Method parameters in org.eclipse.emf.cdo.spi.common.revision with type arguments of type CDOID
Modifier and Type
Method
Description
`List<CDORevision>`
DelegatingCDORevisionManager.`getRevisions(List<CDOID> ids, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean loadOnDemand)`
`List<CDORevision>`
DelegatingCDORevisionManager.`getRevisions(List<CDOID> ids, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean prefetchLockStates, boolean loadOnDemand, SyntheticCDORevision[] synthetics)`
`List<CDORevision>`
DelegatingCDORevisionManager.`getRevisions(List<CDOID> ids, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean loadOnDemand, List<CDORevision> additionalRevisions)`
`List<CDORevision>`
DelegatingCDORevisionManager.`getRevisions(List<CDOID> ids, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean loadOnDemand, SyntheticCDORevision[] synthetics)`
`List<CDORevision>`
InternalCDORevisionManager.`getRevisions(List<CDOID> ids, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean prefetchLockStates, boolean loadOnDemand, SyntheticCDORevision[] synthetics)`
`List<CDORevision>`
InternalCDORevisionManager.`getRevisions(List<CDOID> ids, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean loadOnDemand, SyntheticCDORevision[] synthetics)`
`static Object`
BaseCDORevision.`remapID(Object value, Map<CDOID,CDOID> idMappings, boolean allowUnmappedTempIDs)`
`static Object`
BaseCDORevision.`remapID(Object value, Map<CDOID,CDOID> idMappings, boolean allowUnmappedTempIDs)`
Constructors in org.eclipse.emf.cdo.spi.common.revision with parameters of type CDOID
Modifier
Constructor
Description
`protected`
`Available(CDOID id, CDOBranchPoint requestedBranchPoint, CDOBranchVersion availableBranchVersion)`
``
`Detached(CDOID id, CDOBranchPoint requestedBranchPoint, CDOBranchVersion availableBranchVersion)`
``
`DetachedCDORevision(EClass eClass, CDOID id, CDOBranch branch, int version, long timeStamp)`
``
`DetachedCDORevision(EClass eClass, CDOID id, CDOBranch branch, int version, long timeStamp, long revised)`
``
`Missing(CDOID id, CDOBranchPoint requestedBranchPoint)`
``
`Normal(CDOID id, CDOBranchPoint requestedBranchPoint, CDOBranchVersion availableBranchVersion)`
``
`Pointer(CDOID id, CDOBranchPoint requestedBranchPoint, CDOBranchVersion availableBranchVersion, CDOBranchVersion targetBranchVersion)`
``
`PointerCDORevision(EClass eClass, CDOID id, CDOBranch branch, long revised, CDOBranchVersion target)`
`protected`
`RevisionInfo(CDOID id, CDOBranchPoint requestedBranchPoint)`
``
`SyntheticCDORevision(EClass eClass, CDOID id, CDOBranch branch)`
Constructor parameters in org.eclipse.emf.cdo.spi.common.revision with type arguments of type CDOID
Modifier
Constructor
Description
``
`CDOIDMapper(Map<CDOID,CDOID> idMappings)`
``
`CDOIDMapper(Map<CDOID,CDOID> idMappings)`
``
`MapRevisionProvider(Map<? extends CDOID,? extends CDORevision> m)`

## Uses of CDOID in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server that return CDOID
Modifier and Type
Method
Description
`CDOID`
LongIDStore.`createObjectID(String val)`
`CDOID`
DelegatingQueryResourcesContext.`getFolderID()`
`CDOID`
InternalLockManager.`getLockKeyID(Object key)`
`CDOID`
StoreAccessorBase.`getNewID(CDORevision revision)`
`CDOID`
LongIDStore.`getNextCDOID(LongIDStoreAccessor accessor, CDORevision revision)`
`protected CDOID`
LongIDStoreAccessor.`getNextCDOID(CDORevision revision)`
`protected abstract CDOID`
StoreAccessorBase.`getNextCDOID(CDORevision revision)`
`CDOID`
StoreAccessorBase.`readResourceID(CDOID folderID, String name, CDOBranchPoint branchPoint)`
`static CDOID`
Store.`stringToID(String string)`
Methods in org.eclipse.emf.cdo.spi.server that return types with arguments of type CDOID
Modifier and Type
Method
Description
`Function<CDORevision,CDOID>`
InternalRepository.`getIDGenerator()`
`Map<CDOID,IDurableLockingManager.LockGrade>`
DurableLockArea.`getLocks()`
Deprecated.
`Map<CDOID,IDurableLockingManager.LockGrade>`
InternalLockManager.`getLocks(IView view)`
`Set<CDOID>`
InternalRepository.`getMergeData(CDORevisionAvailabilityInfo targetInfo, CDORevisionAvailabilityInfo sourceInfo, CDORevisionAvailabilityInfo targetBaseInfo, CDORevisionAvailabilityInfo sourceBaseInfo, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Deprecated.
As of 4.6 use `InternalRepository.getMergeData2(CDORevisionAvailabilityInfo, CDORevisionAvailabilityInfo, CDORevisionAvailabilityInfo, CDORevisionAvailabilityInfo, OMMonitor)`.
`Set<CDOID>`
InternalCommitContext.`getStoreAllocatedIDs()`
Returns the permanent IDs allocated by the authoritative store for this commit.
Methods in org.eclipse.emf.cdo.spi.server with parameters of type CDOID
Modifier and Type
Method
Description
`void`
InternalCommitContext.`addIDMapping(CDOID oldID, CDOID newID)`
`boolean`
DelegatingQueryResourcesContext.`addResource(CDOID resourceID)`
`void`
InternalCommitContext.`addStoreAllocatedID(CDOID id)`
Records that a permanent ID was allocated by the authoritative store for this commit.
`void`
InternalView.`closeUnit(CDOID rootID)`
`static IStoreAccessor.QueryResourcesContext.ExactMatch`
Store.`createExactMatchContext(CDOID folderID, String name, CDOBranchPoint branchPoint)`
`InternalCDORevision`
Store.`createRevision(EClass eClass, CDOID id)`
`protected abstract void`
StoreAccessor.`detachObjects(CDOID[] detachedObjects, CDOBranch branch, long timeStamp, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`void`
LongIDStore.`ensureLastObjectID(CDOID id)`
`Object`
InternalLockManager.`getLockKey(CDOID id)`
Same as calling `InternalLockManager.getLockKey(CDOID, CDOBranch)` with `null` as branch.
`Object`
InternalLockManager.`getLockKey(CDOID id, CDOBranch branch)`
Returns the lock key for the given ID.
`boolean`
InternalView.`hasSubscription(CDOID id)`
`static String`
Store.`idToString(CDOID id)`
`boolean`
InternalView.`isInOpenUnit(CDOID id)`
`boolean`
InternalStore.`isLocal(CDOID id)`
Deprecated.
Not used anymore.
`boolean`
LongIDStore.`isLocal(CDOID id)`
Deprecated.
`boolean`
InternalView.`openUnit(CDOID rootID, CDOProtocolConstants.UnitOpcode opcode, CDORevisionHandler revisionHandler, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`CDOID`
StoreAccessorBase.`readResourceID(CDOID folderID, String name, CDOBranchPoint branchPoint)`
`void`
InternalSession.`sendRepositoryStateNotification(CDOCommonRepository.State oldState, CDOCommonRepository.State newState, CDOID rootResourceID)`
`void`
InternalSessionManager.`sendRepositoryStateNotification(CDOCommonRepository.State oldState, CDOCommonRepository.State newState, CDOID rootResourceID)`
`void`
ISessionProtocol.`sendRepositoryStateNotification(CDOCommonRepository.State oldState, CDOCommonRepository.State newState, CDOID rootResourceID)`
`void`
InternalCommitContext.`setDetachedObjects(CDOID[] detachedObjects)`
`void`
InternalCommitContext.`setIDsToUnlock(CDOID[] idsToUnlock)`
`void`
InternalRepository.`setRootResourceID(CDOID rootResourceID)`
`void`
InternalView.`subscribe(CDOID id)`
`void`
InternalView.`unsubscribe(CDOID id)`
Method parameters in org.eclipse.emf.cdo.spi.server with type arguments of type CDOID
Modifier and Type
Method
Description
`void`
InternalView.`changeTarget(CDOBranchPoint branchPoint, List<CDOID> invalidObjects, List<CDORevisionDelta> allChangedObjects, List<CDOID> allDetachedObjects)`
`void`
InternalSession.`collectContainedRevisions(InternalCDORevision revision, CDOBranchPoint branchPoint, int referenceChunk, Set<CDOID> revisions, List<CDORevision> additionalRevisions)`
`void`
InternalLockManager.`openView(ISession session, int viewID, boolean readOnly, String durableLockingID, Consumer<IView> viewConsumer, BiConsumer<CDOID,IDurableLockingManager.LockGrade> lockConsumer)`
`void`
ISessionProtocol.`sendLockNotification(CDOLockChangeInfo lockChangeInfo, Set<CDOID> filter)`
`void`
InternalCommitContext.`setDetachedObjectTypes(Map<CDOID,EClass> detachedObjectTypes)`
`void`
InternalRepository.`setIDGenerator(Function<CDORevision,CDOID> idGenerator)`
`CDOSessionProtocol.UnlockObjectsResult`
InternalRepository.`unlock(InternalView view, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type, List<CDOID> ids, boolean recursive)`
`CDOSessionProtocol.UnlockObjectsResult`
InternalRepository.`unlockAdministratively(InternalView view, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type, List<CDOID> ids, boolean recursive)`
Constructor parameters in org.eclipse.emf.cdo.spi.server with type arguments of type CDOID
Modifier
Constructor
Description
``
`DurableLockArea(String durableLockingID, String userID, CDOBranchPoint branchPoint, boolean readOnly, Map<CDOID,IDurableLockingManager.LockGrade> locks)`
Deprecated.

## Uses of CDOID in org.eclipse.emf.cdo.spi.workspace

Methods in org.eclipse.emf.cdo.spi.workspace with parameters of type CDOID
Modifier and Type
Method
Description
`void`
InternalCDOWorkspaceBase.`deregisterObject(CDOID id)`
`void`
InternalCDOWorkspaceBase.`registerAddedObject(CDOID id)`

## Uses of CDOID in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction that return types with arguments of type CDOID
Modifier and Type
Method
Description
`Map<CDOID,CDORevision>`
CDOSavepoint.`getAllBaseNewObjects()`
Returns the aggregate of base revisions at this savepoint's fixed boundary.
`Map<CDOID,CDOObject>`
CDOSavepoint.`getAllDetachedObjects()`
Returns the aggregate of detached objects at this savepoint's fixed boundary.
`Map<CDOID,CDOObject>`
CDOSavepoint.`getAllDirtyObjects()`
Returns the aggregate of dirty objects at this savepoint's fixed boundary.
`Map<CDOID,CDOObject>`
CDOSavepoint.`getAllNewObjects()`
Returns the aggregate of new objects at this savepoint's fixed boundary, excluding objects that were removed before that boundary.
`Map<CDOID,CDORevisionDelta>`
CDOSavepoint.`getAllRevisionDeltas()`
Returns the aggregate of revision deltas at this savepoint's fixed boundary, excluding objects that were removed before that boundary.
`Map<CDOID,CDORevision>`
CDOTransaction.Options.`getAttachedRevisionsMap()`
Returns a map which, if non-`null`, stores copies of the initial `revisions` of newly attached objects.
`Map<CDOID,CDORevision>`
CDOSavepoint.`getBaseNewObjects()`
Returns objects that were already new at this savepoint's boundary.
`Map<CDOID,CDOObject>`
CDOCommitContext.`getDetachedObjects()`
Returns a map of the detached `objects` that are to be committed with this commit context.
`Map<CDOID,CDOObject>`
CDOPushTransaction.`getDetachedObjects()`
Deprecated.
`Map<CDOID,CDOObject>`
CDOSavepoint.`getDetachedObjects()`
Returns objects detached at this savepoint.
`Map<CDOID,CDOObject>`
CDOTransaction.`getDetachedObjects()`
`Map<CDOID,CDOObject>`
CDOCommitContext.`getDirtyObjects()`
Returns a map of the dirty `objects` that are to be committed with this commit context.
`Map<CDOID,CDOObject>`
CDOPushTransaction.`getDirtyObjects()`
Deprecated.
`Map<CDOID,CDOObject>`
CDOSavepoint.`getDirtyObjects()`
Returns objects modified at this savepoint.
`Map<CDOID,CDOObject>`
CDOTransaction.`getDirtyObjects()`
`Map<CDOID,CDOID>`
CDOTransactionFinishedEvent.`getIDMappings()`
`Map<CDOID,CDOID>`
CDOTransactionFinishedEvent.`getIDMappings()`
`Collection<CDOID>`
CDOCommitContext.`getIDsToUnlock()`
`Map<CDOID,CDOObject>`
CDOCommitContext.`getNewObjects()`
Returns a map of the new `objects` that are to be committed with this commit context.
`Map<CDOID,CDOObject>`
CDOPushTransaction.`getNewObjects()`
Deprecated.
`Map<CDOID,CDOObject>`
CDOSavepoint.`getNewObjects()`
Returns objects created at this savepoint.
`Map<CDOID,CDOObject>`
CDOTransaction.`getNewObjects()`
`Map<CDOID,CDOObject>`
CDOPushTransaction.`getObjects(Collection<CDOID> ids)`
Deprecated.
`Map<CDOID,CDOObject>`
CDOSavepoint.`getReattachedObjects()`
Returns objects reattached at this savepoint.
`Map<CDOID,CDORevisionDelta>`
CDOCommitContext.`getRevisionDeltas()`
Returns a map of the `revision deltas` that are to be committed with this commit context.
`Map<CDOID,CDORevisionDelta>`
CDOPushTransaction.`getRevisionDeltas()`
Deprecated.
`ConcurrentMap<CDOID,CDORevisionDelta>`
CDOSavepoint.`getRevisionDeltas()`
Deprecated.
As of 4.2 use `CDOSavepoint.getRevisionDeltas2()` instead.
`Map<CDOID,CDORevisionDelta>`
CDOTransaction.`getRevisionDeltas()`
`Map<CDOID,CDORevisionDelta>`
CDOSavepoint.`getRevisionDeltas2()`
Returns deltas of the revisions modified at this savepoint.
Methods in org.eclipse.emf.cdo.transaction with parameters of type CDOID
Modifier and Type
Method
Description
`CDOObject`
CDOPushTransaction.`getObject(CDOID id)`
Deprecated.
`CDOObject`
CDOPushTransaction.`getObject(CDOID id, boolean loadOnDemand)`
Deprecated.
`CDORevision`
CDOPushTransaction.`getRevision(CDOID id)`
Deprecated.
`boolean`
CDOPushTransaction.`isObjectRegistered(CDOID id)`
Deprecated.
Method parameters in org.eclipse.emf.cdo.transaction with type arguments of type CDOID
Modifier and Type
Method
Description
`CDOLockState[]`
CDOPushTransaction.`getLockStates(Collection<CDOID> ids)`
Deprecated.
`CDOLockState[]`
CDOPushTransaction.`getLockStates(Collection<CDOID> ids, boolean loadOnDemand)`
Deprecated.
`Map<CDOID,CDOObject>`
CDOPushTransaction.`getObjects(Collection<CDOID> ids)`
Deprecated.
`void`
CDOMerger2.`merge(CDOTransaction localTransaction, CDOView remoteView, Set<CDOID> affectedIDs)`
`void`
CDOTransaction.Options.`setAttachedRevisionsMap(Map<CDOID,CDORevision> attachedRevisionsMap)`
Sets a map which, if non-`null`, stores copies of the initial `revisions` of newly attached objects, so that these objects can and will be rolled back to the model values they had at attachment time.
`void`
CDOPushTransaction.`setResourcePathCache(Map<String,CDOID> resourcePathCache)`
Deprecated.

## Uses of CDOID in org.eclipse.emf.cdo.ui

Methods in org.eclipse.emf.cdo.ui that return CDOID
Modifier and Type
Method
Description
`CDOID`
CDOEditorInput2.`getObjectID()`
Methods in org.eclipse.emf.cdo.ui with parameters of type CDOID
Modifier and Type
Method
Description
`static IEditorReference[]`
CDOEditorUtil.`findEditor(IWorkbenchPage page, CDOView view, String resourcePath, CDOID objectID)`
Returns references to open instances of `CDOEditor` with given `CDOView`, resource path, and object ID.
`void`
CDOEditorInput2.`setObjectID(CDOID objectID)`
Method parameters in org.eclipse.emf.cdo.ui with type arguments of type CDOID
Modifier and Type
Method
Description
`protected void`
CDOEventHandler.`viewPermissionsChanged(Map<CDOID,org.eclipse.net4j.util.collection.Pair<CDOPermission,CDOPermission>> permissionChanges)`

## Uses of CDOID in org.eclipse.emf.cdo.ui.compare

Method parameters in org.eclipse.emf.cdo.ui.compare with type arguments of type CDOID
Modifier and Type
Method
Description
`static CDOCompareEditorUtil.Input`
CDOCompareEditorUtil.`createComparisonInput(CDOView leftView, CDOView rightView, Set<CDOID> affectedIDs)`
`static boolean`
CDOCompareEditorUtil.`openDialog(CDOView leftView, CDOView rightView, Set<CDOID> affectedIDs)`
`static boolean`
CDOCompareEditorUtil.`openEditor(CDOView leftView, CDOView rightView, Set<CDOID> affectedIDs, boolean activate)`

## Uses of CDOID in org.eclipse.emf.cdo.util

Methods in org.eclipse.emf.cdo.util that return CDOID
Modifier and Type
Method
Description
`static CDOID`
CDOURIUtil.`convertExternalCDOID(URI baseURI, CDOID newCDOID)`
Converting temporary CDOID to External CDOID
e.g.:
baseURI = cdo://2a57dfcf-8f97-4d39-8e17-9d99ae5c4b3c/resB#5/2
newCDOID = OID2
return = cdo://2a57dfcf-8f97-4d39-8e17-9d99ae5c4b3c/resB#1/2
`CDOID`
ObjectNotFoundException.`getID()`
Methods in org.eclipse.emf.cdo.util with parameters of type CDOID
Modifier and Type
Method
Description
`static CDOID`
CDOURIUtil.`convertExternalCDOID(URI baseURI, CDOID newCDOID)`
Converting temporary CDOID to External CDOID
e.g.:
baseURI = cdo://2a57dfcf-8f97-4d39-8e17-9d99ae5c4b3c/resB#5/2
newCDOID = OID2
return = cdo://2a57dfcf-8f97-4d39-8e17-9d99ae5c4b3c/resB#1/2
Constructors in org.eclipse.emf.cdo.util with parameters of type CDOID
Modifier
Constructor
Description
``
`InvalidObjectException(CDOID id, CDOBranchPoint branchPoint)`
``
`ObjectNotFoundException(CDOID id)`
``
`ObjectNotFoundException(CDOID id, CDOBranchPoint branchPoint)`

## Uses of CDOID in org.eclipse.emf.cdo.view

Fields in org.eclipse.emf.cdo.view with type parameters of type CDOID
Modifier and Type
Field
Description
`static final Predicate<CDOID>`
CDOLockStatePrefetcher.`DEFAULT_OBJECT_FILTER`
Methods in org.eclipse.emf.cdo.view that return CDOID
Modifier and Type
Method
Description
`CDOID`
CDOFetchRuleManager.`getContext()`
Returns the context ID for which this fetch rule manager is collecting statistics.
Methods in org.eclipse.emf.cdo.view that return types with arguments of type CDOID
Modifier and Type
Method
Description
`final Predicate<CDOID>`
CDOLockStatePrefetcher.`getObjectFilter()`
`Map<CDOID,CDOObject>`
CDOView.`getObjects(Collection<CDOID> ids)`
Returns the objects with the given CDOIDs.
`Map<CDOID,org.eclipse.net4j.util.collection.Pair<CDOPermission,CDOPermission>>`
CDOViewPermissionsChangedEvent.`getPermissionChanges()`
`List<CDOID>`
CDORevisionPrefetchingPolicy.`loadAhead(CDORevisionManager revisionManager, CDOBranchPoint branchPoint, EObject targetObject, EStructuralFeature feature, CDOList list, int accessIndex, CDOID accessID)`
Methods in org.eclipse.emf.cdo.view with parameters of type CDOID
Modifier and Type
Method
Description
`CDOObject`
CDOView.`getObject(CDOID id)`
Returns the object for the given CDOID.
`CDOObject`
CDOView.`getObject(CDOID id, boolean loadOnDemand)`
Returns the object for the given CDOID.
`protected EClassifier`
CDOStaleReferencePolicy.DynamicProxy.Enhanced.`getType(EObject source, EStructuralFeature feature, int index, CDOID target)`
`protected EClassifier`
CDOStaleReferencePolicy.DynamicProxy.`getType(EObject source, EStructuralFeature feature, int index, CDOID target)`
`boolean`
CDOView.`isObjectRegistered(CDOID id)`
Returns `true` if an `object` with the given `id` is currently registered in this view, `false` otherwise.
`List<CDOID>`
CDORevisionPrefetchingPolicy.`loadAhead(CDORevisionManager revisionManager, CDOBranchPoint branchPoint, EObject targetObject, EStructuralFeature feature, CDOList list, int accessIndex, CDOID accessID)`
`void`
CDORegistrationHandler.Default.`objectCollected(CDOView view, CDOID id)`
Called by the view for each garbage-collected object.
`void`
CDORegistrationHandler.`objectCollected(CDOView view, CDOID id)`
`Object`
CDOStaleReferencePolicy.DynamicProxy.`processStaleReference(EObject source, EStructuralFeature feature, int index, CDOID target)`
`Object`
CDOStaleReferencePolicy.`processStaleReference(EObject source, EStructuralFeature feature, int index, CDOID target)`
Returns an object that we want to return to the caller (clients).
Method parameters in org.eclipse.emf.cdo.view with type arguments of type CDOID
Modifier and Type
Method
Description
`List<CDOFetchRule>`
CDOFetchRuleManager.`getFetchRules(Collection<CDOID> ids)`
Returns the fetch rules for the given object IDs.
`CDOLockState[]`
CDOView.`getLockStates(Collection<CDOID> ids)`
Get an array of `lock states` corresponding to the specified collection of `ids`.
`CDOLockState[]`
CDOView.`getLockStates(Collection<CDOID> ids, boolean loadOnDemand)`
Get an array of `lock states` corresponding to the specified collection of `ids`.
`Map<CDOID,CDOObject>`
CDOView.`getObjects(Collection<CDOID> ids)`
Returns the objects with the given CDOIDs.
`final void`
CDOLockStatePrefetcher.`setObjectFilter(Predicate<CDOID> objectFilter)`
`void`
CDOView.`setResourcePathCache(Map<String,CDOID> resourcePathCache)`
Sets the new `map` to be used as a cache for various `get*Resource*(String path)` methods.
Constructors in org.eclipse.emf.cdo.view with parameters of type CDOID
Modifier
Constructor
Description
``
`Prefetcher(CDOView view, CDOID rootID, boolean prefetchLockStates)`

## Uses of CDOID in org.eclipse.emf.cdo.workspace

Methods in org.eclipse.emf.cdo.workspace that return types with arguments of type CDOID
Modifier and Type
Method
Description
`Set<CDOID>`
CDOWorkspace.ObjectStatesChangedEvent.`getChangedIDs()`
`Set<CDOID>`
CDOWorkspaceBase.`getIDs()`
Methods in org.eclipse.emf.cdo.workspace with parameters of type CDOID
Modifier and Type
Method
Description
`boolean`
CDOWorkspaceBase2.`containsID(CDOID id)`
`boolean`
CDOWorkspaceBase2.`isAddedObject(CDOID id)`

## Uses of CDOID in org.eclipse.emf.internal.cdo

Methods in org.eclipse.emf.internal.cdo that return CDOID
Modifier and Type
Method
Description
`final CDOID`
CDOObjectImpl.`cdoID()`
Methods in org.eclipse.emf.internal.cdo with parameters of type CDOID
Modifier and Type
Method
Description
`final void`
CDOObjectImpl.`cdoInternalSetID(CDOID id)`

## Uses of CDOID in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return CDOID
Modifier and Type
Method
Description
`CDOID`
InternalCDOTransaction.`createIDForNewObject(EObject object)`
`CDOID`
DefaultCDOMerger.ChangedInSourceAndDetachedInTargetConflict.`getID()`
`CDOID`
DefaultCDOMerger.ChangedInSourceAndTargetConflict.`getID()`
`CDOID`
DefaultCDOMerger.ChangedInTargetAndDetachedInSourceConflict.`getID()`
`abstract CDOID`
DefaultCDOMerger.Conflict.`getID()`
`CDOID`
InternalCDOTransaction.`getLifecycleBeforeImageID(InternalCDOObject object)`
Returns the ID from the most recent lifecycle before-image reachable through the active savepoint chain, or `null` if no such transition was captured.
`CDOID`
InternalCDOView.`getResourceNodeID(String path)`
`CDOID`
CDOSessionProtocol.OpenSessionResult.`getRootResourceID()`
Methods in org.eclipse.emf.spi.cdo that return types with arguments of type CDOID
Modifier and Type
Method
Description
`org.eclipse.net4j.util.collection.Pair<CDOChangeSetData,org.eclipse.net4j.util.collection.Pair<Map<CDOID,CDOID>,List<CDOID>>>`
InternalCDOTransaction.`applyChangeSetData(CDOChangeSetData changeSetData, CDORevisionProvider resultBaseProvider, CDORevisionProvider targetProvider, CDOBranchPoint source)`
Deprecated.
Use `InternalCDOTransaction.applyChangeSet(CDOChangeSetData, CDORevisionProvider, CDORevisionProvider, CDOBranchPoint, boolean)`
`org.eclipse.net4j.util.collection.Pair<CDOChangeSetData,org.eclipse.net4j.util.collection.Pair<Map<CDOID,CDOID>,List<CDOID>>>`
InternalCDOTransaction.`applyChangeSetData(CDOChangeSetData changeSetData, CDORevisionProvider resultBaseProvider, CDORevisionProvider targetProvider, CDOBranchPoint source)`
Deprecated.
Use `InternalCDOTransaction.applyChangeSet(CDOChangeSetData, CDORevisionProvider, CDORevisionProvider, CDOBranchPoint, boolean)`
`org.eclipse.net4j.util.collection.Pair<CDOChangeSetData,org.eclipse.net4j.util.collection.Pair<Map<CDOID,CDOID>,List<CDOID>>>`
InternalCDOTransaction.`applyChangeSetData(CDOChangeSetData changeSetData, CDORevisionProvider resultBaseProvider, CDORevisionProvider targetProvider, CDOBranchPoint source)`
Deprecated.
Use `InternalCDOTransaction.applyChangeSet(CDOChangeSetData, CDORevisionProvider, CDORevisionProvider, CDOBranchPoint, boolean)`
`List<CDOID>`
InternalCDOTransaction.ApplyChangeSetResult.`getAdjustedObjects()`
`Map<CDOID,CDORevision>`
InternalCDOSavepoint.`getAllBaseNewObjectsIncludingCurrent()`
Returns the aggregate through this savepoint, including its mutable current segment.
`Map<CDOID,CDOObject>`
InternalCDOSavepoint.`getAllDetachedObjectsIncludingCurrent()`
Returns the aggregate through this savepoint, including its mutable current segment.
`Map<CDOID,CDOObject>`
InternalCDOSavepoint.`getAllDirtyObjectsIncludingCurrent()`
Returns the aggregate through this savepoint, including its mutable current segment.
`Map<CDOID,CDOObject>`
InternalCDOSavepoint.`getAllNewObjectsIncludingCurrent()`
Returns the aggregate through this savepoint, including its mutable current segment.
`Map<CDOID,CDORevisionDelta>`
InternalCDOSavepoint.`getAllRevisionDeltasIncludingCurrent()`
Returns the aggregate through this savepoint, including its mutable current segment.
`Map<CDOID,DefaultCDOMerger.Conflict>`
DefaultCDOMerger.`getConflicts()`
`Map<CDOID,CDOID>`
CDOSessionProtocol.CommitTransactionResult.`getIDMappings()`
`Map<CDOID,CDOID>`
CDOSessionProtocol.CommitTransactionResult.`getIDMappings()`
`Map<CDOID,CDOID>`
InternalCDOTransaction.ApplyChangeSetResult.`getIDMappings()`
`Map<CDOID,CDOID>`
InternalCDOTransaction.ApplyChangeSetResult.`getIDMappings()`
`Set<CDOID>`
CDOSessionProtocol.MergeDataResult.`getIDs()`
`Set<CDOID>`
InternalCDOSession.MergeData.`getIDs()`
`Map<CDOID,CDOPermission>`
CDOSessionProtocol.CommitTransactionResult.`getNewPermissions()`
`Map<CDOID,CDOPermission>`
InternalCDOSession.InvalidationData.`getNewPermissions()`
`Map<CDOID,InternalCDOObject>`
InternalCDOView.`getObjects()`
Returns an unmodifiable map of the objects managed by this view.
`Map<CDOID,InternalCDORevision>`
InternalCDOView.ViewInvalidationData.`getOldRevisions()`
`Set<CDOID>`
InternalCDOSavepoint.`getSharedDetachedObjects()`
Deprecated.
`Set<CDOID>`
CDOSessionProtocol.MergeDataResult.`getSourceIDs()`
`Set<CDOID>`
InternalCDOSession.MergeData.`getSourceIDs()`
`protected Map<CDOID,Object>`
DefaultCDOMerger.`getSourceMap()`
`Set<CDOID>`
CDOSessionProtocol.MergeDataResult.`getTargetIDs()`
`Set<CDOID>`
InternalCDOSession.MergeData.`getTargetIDs()`
`protected Map<CDOID,Object>`
DefaultCDOMerger.`getTargetMap()`
`Set<CDOID>`
CDOSessionProtocol.`loadMergeData(CDORevisionAvailabilityInfo targetInfo, CDORevisionAvailabilityInfo sourceInfo, CDORevisionAvailabilityInfo targetBaseInfo, CDORevisionAvailabilityInfo sourceBaseInfo)`
Deprecated.
Methods in org.eclipse.emf.spi.cdo with parameters of type CDOID
Modifier and Type
Method
Description
`void`
InternalCDOXATransaction.`add(InternalCDOTransaction transaction, CDOID object)`
`void`
CDOSessionProtocol.CommitTransactionResult.`addIDMapping(CDOID oldID, CDOID newID)`
`void`
CDOSessionProtocol.CommitTransactionResult.`addNewPermission(CDOID id, CDOPermission permission)`
`void`
InternalCDOObject.`cdoInternalSetID(CDOID id)`
`Object`
CDOLockStateCache.`createKey(CDOBranch branch, CDOID id)`
`protected Object`
DefaultCDOMerger.`detachedInSource(CDOID id)`
`protected Object`
DefaultCDOMerger.`detachedInSourceAndTarget(CDOID id)`
`protected Object`
DefaultCDOMerger.`detachedInTarget(CDOID id)`
`CDOBranchPoint`
InternalCDOSession.`getCommittedSinceLastRefresh(CDOID id)`
`CDOObject`
InternalCDOSavepoint.`getDetachedObject(CDOID id)`
`CDOObject`
InternalCDOSavepoint.`getDirtyObject(CDOID id)`
`CDOLockState`
CDOLockStateCache.`getLockState(CDOBranch branch, CDOID id)`
`InternalCDORevision`
InternalCDOView.`getRevision(CDOID id, boolean loadOnDemand)`
`boolean`
InternalCDOView.`hasSubscription(CDOID id)`
`boolean`
InternalCDOSavepoint.`isNewObject(CDOID id)`
`boolean`
InternalCDOView.`isObjectNew(CDOID id)`
`void`
InternalCDOView.`prefetchRevisions(CDOID id, int depth)`
`void`
InternalCDOView.`remapObject(CDOID oldID)`
`boolean`
CDOSessionProtocol.`requestUnit(int viewID, CDOID rootID, CDOProtocolConstants.UnitOpcode opcode, boolean prefetchLockStates, CDORevisionHandler revisionHandler, org.eclipse.net4j.util.om.monitor.OMMonitor safe)`
`boolean`
CDOSessionProtocol.`requestUnit(int viewID, CDOID rootID, CDOProtocolConstants.UnitOpcode opcode, CDORevisionHandler revisionHandler, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Deprecated.
`void`
InternalCDOSession.`setCommittedSinceLastRefresh(CDOID id, CDOBranchPoint branchPoint)`
Method parameters in org.eclipse.emf.spi.cdo with type arguments of type CDOID
Modifier and Type
Method
Description
`void`
CDOSessionProtocol.`changeSubscription(int viewId, List<CDOID> ids, boolean subscribeMode, boolean clear)`
`void`
InternalCDOView.`collectViewedRevisions(Map<CDOID,InternalCDORevision> revisions)`
`CDOSessionProtocol.CommitTransactionResult`
CDOSessionProtocol.`commitDelegation(CDOBranch branch, String userID, String comment, CDOCommitData commitData, Map<CDOID,EClass> detachedObjectTypes, Collection<CDOLob<?>> lobs, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Deprecated.
`CDOSessionProtocol.UnlockObjectsResult`
CDOSessionProtocol.`delegateUnlockObjects(String lockAreaID, Collection<CDOID> objectIDs, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, boolean recursive)`
`void`
CDOLockStateCache.`getLockStates(CDOBranch branch, Collection<CDOID> ids, boolean loadOnDemand, Consumer<CDOLockState> consumer)`
`CDOLockState[]`
CDOSessionProtocol.`getLockStates(int viewID, Collection<CDOID> ids)`
Deprecated.
`CDOLockState[]`
CDOSessionProtocol.`getLockStates(int branchID, Collection<CDOID> ids, int depth)`
Deprecated.
`List<CDOLockState>`
CDOSessionProtocol.`getLockStates2(int branchID, Collection<CDOID> ids, int depth)`
`void`
InternalCDOSession.`invalidate(CDOCommitInfo commitInfo, InternalCDOTransaction sender, boolean clearResourcePathCache, byte securityImpact, Map<CDOID,CDOPermission> newPermissions)`
Deprecated.
As of 4.6 use `InternalCDOSession.invalidate(InvalidationData)`.
`void`
InternalCDOView.`invalidate(CDOBranch branch, long lastUpdateTime, List<CDORevisionKey> allChangedObjects, List<CDOIDAndVersion> allDetachedObjects, Map<CDOID,InternalCDORevision> oldRevisions, boolean async)`
Deprecated.
As of 4.2.
`void`
InternalCDOView.`invalidate(CDOBranch branch, long lastUpdateTime, List<CDORevisionKey> allChangedObjects, List<CDOIDAndVersion> allDetachedObjects, Map<CDOID,InternalCDORevision> oldRevisions, boolean async, boolean clearResourcePathCache)`
Deprecated.
As of 4.6.
`CDOBranchPoint`
CDOSessionProtocol.`openView(int viewID, boolean readOnly, String durableLockingID, BiConsumer<CDOID,IDurableLockingManager.LockGrade> consumer)`
`void`
InternalCDOSession.`processRefreshSessionResult(CDOSessionProtocol.RefreshSessionResult result, CDOBranch branch, List<InternalCDOView> branchViews, Map<CDOBranch,Map<CDOID,InternalCDORevision>> viewedRevisions)`
`CDOSessionProtocol.RefreshSessionResult`
CDOSessionProtocol.`refresh(long lastUpdateTime, Map<CDOBranch,Map<CDOID,InternalCDORevision>> viewedRevisions, int initialChunkSize, boolean enablePassiveUpdates)`
`void`
CDOLockStateCache.`removeLockStates(CDOBranch branch, Collection<CDOID> ids, Consumer<CDOLockState> consumer)`
`void`
InternalCDOSession.InvalidationData.`setNewPermissions(Map<CDOID,CDOPermission> newPermissions)`
`void`
InternalCDOView.ViewInvalidationData.`setOldRevisions(Map<CDOID,InternalCDORevision> oldRevisions)`
`void`
CDOSessionProtocol.`unlockObjects(CDOView view, Collection<CDOID> objectIDs, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType)`
Deprecated.
`CDOSessionProtocol.UnlockObjectsResult`
CDOSessionProtocol.`unlockObjects2(CDOView view, Collection<CDOID> objectIDs, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, boolean recursive)`
Constructors in org.eclipse.emf.spi.cdo with parameters of type CDOID
Modifier
Constructor
Description
``
`ObjectAlreadyLockedException(CDOID id, CDOBranch branch, Throwable cause)`
``
`OpenSessionResult(int sessionID, String userID, String repositoryUUID, CDOCommonRepository.Type repositoryType, CDOCommonRepository.State repositoryState, String storeType, Set<CDOID.ObjectType> objectIDTypes, long repositoryCreationTime, long lastUpdateTime, CDOID rootResourceID, boolean repositorySupportingAudits, boolean repositorySupportingBranches, boolean repositorySerializingCommits, boolean repositoryEnsuringReferentialIntegrity, CDOCommonRepository.IDGenerationLocation repositoryIDGenerationLocation)`
Deprecated.
As of 4.4 use `OpenSessionResult(CDODataInput, int)`.
Constructor parameters in org.eclipse.emf.spi.cdo with type arguments of type CDOID
Modifier
Constructor
Description
``
`MergeData(CDOBranchPoint target, CDOBranchPoint source, CDOBranchPoint sourceBase, CDOBranchPoint targetBase, CDORevisionAvailabilityInfo targetInfo, CDORevisionAvailabilityInfo sourceInfo, CDORevisionAvailabilityInfo sourceBaseInfo, CDORevisionAvailabilityInfo targetBaseInfo, Set<CDOID> ids, CDOChangeSet targetChanges, CDOChangeSet sourceChanges)`
Deprecated.
As of 4.6 use `MergeData(CDOBranchPoint, CDORevisionAvailabilityInfo, CDOBranchPoint, CDORevisionAvailabilityInfo, Set, CDOChangeSet, CDOBranchPoint, CDORevisionAvailabilityInfo, CDOBranchPoint, CDORevisionAvailabilityInfo, Set, CDOChangeSet, CDOBranchPoint)`.
``
`MergeData(CDOBranchPoint target, CDORevisionAvailabilityInfo targetInfo, CDOBranchPoint targetBase, CDORevisionAvailabilityInfo targetBaseInfo, Set<CDOID> targetIDs, CDOChangeSet targetChanges, CDOBranchPoint source, CDORevisionAvailabilityInfo sourceInfo, CDOBranchPoint sourceBase, CDORevisionAvailabilityInfo sourceBaseInfo, Set<CDOID> sourceIDs, CDOChangeSet sourceChanges, CDOBranchPoint resultBase)`